
#ifndef Asfrontend_includeD
#define Asfrontend_includeD Yes


typedef char Asfrontend_helplinE[81];


/* not too large because of granularity and internal buffer copying */
#define Asfrontend_bufsizE 256


struct AsfrontenD {
 
 /* for message exchange with sconn: username , error messages */
 struct SaccesS *access;
 int access_is_own;

 /* the possibly encrypted connection */
 struct SconN *sconn;

 /* to keep track of commands and replies */
 int mark_counter;
 int mark_received;
 char *init_id;
 int end_received;

 /* buffer for incoming replies */
 struct AsviewmsG *vmsg;
 char buf[Asfrontend_bufsizE];
 int bufcount;

 /* Master application and its interpreter for incoming replies */
 char *app;                  /* should be (void *) */
 int (*Interpreter) ();      /* parameters: (app,frontend,int flag)
                              return: 0=failure, continue receiving
                                     -1=failure, abort receiving
                                      1=all went well
                                      2=(all went well, more data expected)
                                      3=all went well, end receiving
                              */
};


#endif /* ! Asfrontend_includeD */
